For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTFetch multiple EOR Contract forms
      • GETGet worker additional fields for (EOR)
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsForms

Get worker additional fields for (EOR)

GET
/forms/eor/worker-additional-fields/:country_code
GET
/rest/v2/forms/eor/worker-additional-fields/:country_code
$curl https://api.letsdeel.com/rest/v2/forms/eor/worker-additional-fields/de \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "key": "additional_name",
5 "type": "string",
6 "ui_guide": {
7 "label": "Preferred Name / Additional Name",
8 "order": 3,
9 "field_type": "text",
10 "description": "",
11 "helper_text": "",
12 "local_label": "Imię preferowane"
13 },
14 "validation": [
15 {
16 "type": "REGEX",
17 "error_message": "Review the value entered",
18 "value": "^.*$"
19 }
20 ],
21 "is_required": false,
22 "dependencies": [],
23 "required_by": "sign_up"
24 },
25 {
26 "key": "dob",
27 "type": "string",
28 "ui_guide": {
29 "label": "Date of Birth",
30 "order": 4,
31 "field_type": "date",
32 "description": "",
33 "helper_text": "",
34 "local_label": "Data urodzenia"
35 },
36 "validation": [
37 {
38 "type": "REGEX",
39 "error_message": "Review the value entered",
40 "value": "^.*$"
41 }
42 ],
43 "is_required": true,
44 "dependencies": [
45 {
46 "key": "country",
47 "value": "UK"
48 }
49 ],
50 "required_by": "contract_signing"
51 }
52 ]
53}

Retrieves the additional form fields required when onboarding EOR workers in the specified country. Token scopes: forms:read

Was this page helpful?
Previous

Download a GP worker payslip

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

country_codestringRequired
Country code

Response

Successful operation.
datalist of objects
Array of field configuration objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication